AceTime 2.4.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | List of all members
ace_time::zoneinfomid::ZoneInfoBroker< ZC, ZI, ZE, ZP, ZR > Class Template Reference

Data broker for accessing ZoneInfo. More...

`#include <BrokersMid.h>`

## Public Member Functions
| ZoneInfoBroker (const ZI *zoneInfo=nullptr)
| ZoneInfoBroker (const ZoneInfoBroker &)=default
ZoneInfoBroker & | operator= (const ZoneInfoBroker &)=default
bool | equals (uintptr_t zoneKey) const
bool | equals (const ZoneInfoBroker &zoneInfoBroker) const
bool | isNull () const
const ZoneContextBroker< ZC > | zoneContext () const
const __FlashStringHelper * | name () const
uint32_t | zoneId () const
uint8_t | numEras () const
const ZoneEraBroker< ZC, ZE, ZP, ZR > | era (uint8_t i) const
bool | isLink () const
ZoneInfoBroker | targetInfo () const
void | printNameTo (Print &printer) const
| Print a human-readable identifier (e.g. More...
void | printShortNameTo (Print &printer) const
| Print a short human-readable identifier (e.g. More...

## Detailed Description

### template<typename ZC, typename ZI, typename ZE, typename ZP, typename ZR>
class ace_time::zoneinfomid::ZoneInfoBroker< ZC, ZI, ZE, ZP, ZR >

Data broker for accessing ZoneInfo.

Template Parameters

  ZC | ZoneContext type
  ZI | ZoneInfo type (e.g. basic::ZoneInfo or extended::ZoneInfo)
  ZE | ZoneEra type (e.g. basic::ZoneEra or extended::ZoneEra)
  ZP | ZonePolicy type (e.g. basic::ZonePolicy or extended::ZonePolicy)
  ZR | ZoneRule type (e.g. basic::ZoneRule or extended::ZoneRule)

Definition at line 358 of file BrokersMid.h.

## Member Function Documentation

## ◆ equals()

template<typename ZC , typename ZI , typename ZE , typename ZP , typename ZR >

bool ace_time::zoneinfomid::ZoneInfoBroker< ZC, ZI, ZE, ZP, ZR >::equals | ( | uintptr_t | zoneKey | ) | const
| inline

Parameters

  zoneKey | an opaque Zone primary key (e.g. const ZoneInfo*, or a uint16_t index into a database table of ZoneInfo records)

Definition at line 373 of file BrokersMid.h.

## ◆ printNameTo()

template<typename ZC , typename ZI , typename ZE , typename ZP , typename ZR >

void ace_time::zoneinfomid::ZoneInfoBroker< ZC, ZI, ZE, ZP, ZR >::printNameTo | ( | Print & | printer | ) | const

Print a human-readable identifier (e.g.

"America/Los_Angeles").

Definition at line 429 of file BrokersMid.h.

## ◆ printShortNameTo()

template<typename ZC , typename ZI , typename ZE , typename ZP , typename ZR >

void ace_time::zoneinfomid::ZoneInfoBroker< ZC, ZI, ZE, ZP, ZR >::printShortNameTo | ( | Print & | printer | ) | const

Print a short human-readable identifier (e.g.

"Los Angeles"). Any underscore in the short name is replaced with a space.

Definition at line 436 of file BrokersMid.h.

The documentation for this class was generated from the following file:

- /home/brian/src/AceTime/src/zoneinfo/BrokersMid.h